Permafail layout/style/test/test_ch_ex_no_infloops.html | application terminated with exit code 11 | application crashed [@ mozalloc_abort]

RESOLVED FIXED

Status

()

Core
Layout
RESOLVED FIXED
a year ago
11 months ago

People

(Reporter: aryx, Assigned: SimonSapin)

Tracking

({intermittent-failure})

unspecified
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox52 unaffected, firefox-esr52 unaffected, firefox53 unaffected, firefox54 unaffected, firefox55 fixed)

Details

https://treeherder.mozilla.org/logviewer.html#?job_id=82428741&repo=autoland

Starts with Servo issue 15856.

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=f1326092c823a9fb8576b4aa97af83a6947c1151&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=82428741&repo=autoland

[task 2017-03-08T12:20:30.864115Z] 12:20:30     INFO - TEST-PASS | layout/style/test/test_ch_ex_no_infloops.html | Setting 'border-inline-end' to '3ex green none' should not cause infinite loop 
[task 2017-03-08T12:20:30.864994Z] 12:20:30     INFO - TEST-PASS | layout/style/test/test_ch_ex_no_infloops.html | Setting 'border-inline-end' to '2ch green none' should not cause infinite loop 
[task 2017-03-08T12:20:30.865865Z] 12:20:30     INFO - TEST-PASS | layout/style/test/test_ch_ex_no_infloops.html | Setting 'border-inline-end-color' to '3ex' should not cause infinite loop 
[task 2017-03-08T12:20:30.866702Z] 12:20:30     INFO - TEST-PASS | layout/style/test/test_ch_ex_no_infloops.html | Setting 'border-inline-end-color' to '2ch' should not cause infinite loop 
[task 2017-03-08T12:20:30.867516Z] 12:20:30     INFO - Buffered messages finished
[task 2017-03-08T12:20:30.868395Z] 12:20:30    ERROR - TEST-UNEXPECTED-FAIL | layout/style/test/test_ch_ex_no_infloops.html | application terminated with exit code 11
[task 2017-03-08T12:20:30.869386Z] 12:20:30     INFO - runtests.py | Application ran for: 0:01:56.927657
[task 2017-03-08T12:20:30.870209Z] 12:20:30     INFO - zombiecheck | Reading PID log: /tmp/tmps4jUN1pidlog
[task 2017-03-08T12:20:30.871040Z] 12:20:30     INFO - ==> process 1261 launched child process 1289
[task 2017-03-08T12:20:30.871860Z] 12:20:30     INFO - zombiecheck | Checking for orphan process with PID: 1289
[task 2017-03-08T12:20:30.872864Z] 12:20:30     INFO - mozcrash Copy/paste: /usr/local/bin/linux64-minidump_stackwalk /tmp/tmphPJnX9.mozrunner/minidumps/0fd6759f-c3e0-8be0-4729cee9-18e17605.dmp /home/worker/workspace/build/symbols
[task 2017-03-08T12:20:37.581134Z] 12:20:37     INFO - mozcrash Saved minidump as /home/worker/workspace/build/blobber_upload_dir/0fd6759f-c3e0-8be0-4729cee9-18e17605.dmp
[task 2017-03-08T12:20:37.582160Z] 12:20:37     INFO - mozcrash Saved app info as /home/worker/workspace/build/blobber_upload_dir/0fd6759f-c3e0-8be0-4729cee9-18e17605.extra
[task 2017-03-08T12:20:38.018575Z] 12:20:38     INFO - PROCESS-CRASH | layout/style/test/test_ch_ex_no_infloops.html | application crashed [@ mozalloc_abort]
[task 2017-03-08T12:20:38.018936Z] 12:20:38     INFO - Crash dump filename: /tmp/tmphPJnX9.mozrunner/minidumps/0fd6759f-c3e0-8be0-4729cee9-18e17605.dmp
[task 2017-03-08T12:20:38.019207Z] 12:20:38     INFO - Operating system: Linux
[task 2017-03-08T12:20:38.019504Z] 12:20:38     INFO -                   0.0.0 Linux 3.13.0-107-generic #154-Ubuntu SMP Tue Dec 20 09:57:27 UTC 2016 x86_64
[task 2017-03-08T12:20:38.019794Z] 12:20:38     INFO - CPU: amd64
[task 2017-03-08T12:20:38.020088Z] 12:20:38     INFO -      family 6 model 62 stepping 4
[task 2017-03-08T12:20:38.020361Z] 12:20:38     INFO -      2 CPUs
[task 2017-03-08T12:20:38.020639Z] 12:20:38     INFO - 
[task 2017-03-08T12:20:38.020919Z] 12:20:38     INFO - GPU: UNKNOWN
[task 2017-03-08T12:20:38.021206Z] 12:20:38     INFO - 
[task 2017-03-08T12:20:38.021456Z] 12:20:38     INFO - Crash reason:  SIGSEGV
[task 2017-03-08T12:20:38.021698Z] 12:20:38     INFO - Crash address: 0x0
[task 2017-03-08T12:20:38.021948Z] 12:20:38     INFO - Process uptime: not available
[task 2017-03-08T12:20:38.022170Z] 12:20:38     INFO - 
[task 2017-03-08T12:20:38.022404Z] 12:20:38     INFO - Thread 0 (crashed)
[task 2017-03-08T12:20:38.022663Z] 12:20:38     INFO -  0  firefox!mozalloc_abort [mozalloc_abort.cpp:f1326092c823 : 33 + 0x5]
[task 2017-03-08T12:20:38.022906Z] 12:20:38     INFO -     rax = 0x0000000000000000   rdx = 0x0000000000000000
[task 2017-03-08T12:20:38.023144Z] 12:20:38     INFO -     rcx = 0x00007fd9bc5affad   rbx = 0x00007fd9bc882828
[task 2017-03-08T12:20:38.023378Z] 12:20:38     INFO -     rsi = 0x00007fd9bc883a80   rdi = 0x00007fd9bc882180
[task 2017-03-08T12:20:38.023613Z] 12:20:38     INFO -     rbp = 0x00007ffda101b8f0   rsp = 0x00007ffda101b8e0
[task 2017-03-08T12:20:38.023847Z] 12:20:38     INFO -      r8 = 0x00007fd9bd8d9740    r9 = 0x0000000000000043
[task 2017-03-08T12:20:38.024086Z] 12:20:38     INFO -     r10 = 0x00007ffda101b670   r11 = 0x00007fd9bc537b20
[task 2017-03-08T12:20:38.024323Z] 12:20:38     INFO -     r12 = 0x00007fd9b4e66050   r13 = 0x0000000000000057
[task 2017-03-08T12:20:38.024567Z] 12:20:38     INFO -     r14 = 0x000000000000012f   r15 = 0x00007fd9b387e600
[task 2017-03-08T12:20:38.024799Z] 12:20:38     INFO -     rip = 0x0000000000406601
[task 2017-03-08T12:20:38.025040Z] 12:20:38     INFO -     Found by: given as instruction pointer in context
[task 2017-03-08T12:20:38.025312Z] 12:20:38     INFO -  1  firefox!abort [mozalloc_abort.cpp:f1326092c823 : 80 + 0x5]
[task 2017-03-08T12:20:38.025588Z] 12:20:38     INFO -     rbx = 0x0000000000000001   rbp = 0x00007ffda101b900
[task 2017-03-08T12:20:38.025882Z] 12:20:38     INFO -     rsp = 0x00007ffda101b900   r12 = 0x00007fd9b4e66050
[task 2017-03-08T12:20:38.026180Z] 12:20:38     INFO -     r13 = 0x0000000000000057   r14 = 0x000000000000012f
[task 2017-03-08T12:20:38.026470Z] 12:20:38     INFO -     r15 = 0x00007fd9b387e600   rip = 0x00000000004065da
[task 2017-03-08T12:20:38.026757Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.027047Z] 12:20:38     INFO -  2  libxul.so!panic_abort::__rust_start_panic [lib.rs : 61 + 0x5]
[task 2017-03-08T12:20:38.027348Z] 12:20:38     INFO -     rbx = 0x0000000000000001   rbp = 0x00007ffda101b910
[task 2017-03-08T12:20:38.027637Z] 12:20:38     INFO -     rsp = 0x00007ffda101b910   r12 = 0x00007fd9b4e66050
[task 2017-03-08T12:20:38.027933Z] 12:20:38     INFO -     r13 = 0x0000000000000057   r14 = 0x000000000000012f
[task 2017-03-08T12:20:38.028230Z] 12:20:38     INFO -     r15 = 0x00007fd9b387e600   rip = 0x00007fd9b2f7b559
[task 2017-03-08T12:20:38.028522Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.028813Z] 12:20:38     INFO -  3  libxul.so!std::panicking::rust_panic [panicking.rs : 584 + 0x9]
[task 2017-03-08T12:20:38.029113Z] 12:20:38     INFO -     rbp = 0x00007ffda101b970   rsp = 0x00007ffda101b920
[task 2017-03-08T12:20:38.029428Z] 12:20:38     INFO -     rip = 0x00007fd9b2f7769d
[task 2017-03-08T12:20:38.029713Z] 12:20:38     INFO -     Found by: previous frame's frame pointer
[task 2017-03-08T12:20:38.030030Z] 12:20:38     INFO -  4  libxul.so!std::panicking::rust_panic_with_hook [panicking.rs : 569 + 0xc]
[task 2017-03-08T12:20:38.030321Z] 12:20:38     INFO -     rbp = 0x00007ffda101ba40   rsp = 0x00007ffda101b980
[task 2017-03-08T12:20:38.030608Z] 12:20:38     INFO -     rip = 0x00007fd9b2f7765d
[task 2017-03-08T12:20:38.030896Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.031200Z] 12:20:38     INFO -  5  libxul.so!std::panicking::begin_panic<&str> [panicking.rs : 515 + 0x12]
[task 2017-03-08T12:20:38.031512Z] 12:20:38     INFO -     rbx = 0x00007fd9b387e660   rbp = 0x00007ffda101ba70
[task 2017-03-08T12:20:38.031803Z] 12:20:38     INFO -     rsp = 0x00007ffda101ba50   r12 = 0x00007fd9822bae20
[task 2017-03-08T12:20:38.032092Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007fd9b4e72f38
[task 2017-03-08T12:20:38.032393Z] 12:20:38     INFO -     r15 = 0x0000000000000026   rip = 0x00007fd9b2b27f8b
[task 2017-03-08T12:20:38.032687Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.033013Z] 12:20:38     INFO -  6  libxul.so!style::properties::declaration_block::PropertyDeclarationBlock::remove_property [lib.rs:f1326092c823 : 145 + 0x18]
[task 2017-03-08T12:20:38.033326Z] 12:20:38     INFO -     rbx = 0x00007fd99e027f38   rbp = 0x00007ffda101bac0
[task 2017-03-08T12:20:38.033617Z] 12:20:38     INFO -     rsp = 0x00007ffda101ba80   r12 = 0x00007fd9822bae20
[task 2017-03-08T12:20:38.033915Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007ffda101bae8
[task 2017-03-08T12:20:38.034211Z] 12:20:38     INFO -     r15 = 0x00007fd9822bae20   rip = 0x00007fd9b2c982df
[task 2017-03-08T12:20:38.034492Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.034798Z] 12:20:38     INFO -  7  libxul.so!geckoservo::glue::remove_property [glue.rs:f1326092c823 : 857 + 0x2f]
[task 2017-03-08T12:20:38.035100Z] 12:20:38     INFO -     rbx = 0x00007ffda101bad0   rbp = 0x00007ffda101bb00
[task 2017-03-08T12:20:38.035394Z] 12:20:38     INFO -     rsp = 0x00007ffda101bad0   r12 = 0x00007fd9822bae20
[task 2017-03-08T12:20:38.035692Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007ffda101bae8
[task 2017-03-08T12:20:38.035994Z] 12:20:38     INFO -     r15 = 0x00007fd9822bae20   rip = 0x00007fd9b2af489e
[task 2017-03-08T12:20:38.036280Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.036592Z] 12:20:38     INFO -  8  libxul.so!geckoservo::glue::Servo_DeclarationBlock_RemoveProperty [glue.rs:f1326092c823 : 863 + 0x8]
[task 2017-03-08T12:20:38.036893Z] 12:20:38     INFO -     rbx = 0x00007fd99e027f20   rbp = 0x00007ffda101bb60
[task 2017-03-08T12:20:38.037190Z] 12:20:38     INFO -     rsp = 0x00007ffda101bb10   r12 = 0x00007fd9822bae20
[task 2017-03-08T12:20:38.037500Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007ffda101bca8
[task 2017-03-08T12:20:38.037802Z] 12:20:38     INFO -     r15 = 0x00007fd9822bae20   rip = 0x00007fd9b2af491c
[task 2017-03-08T12:20:38.038089Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.038407Z] 12:20:38     INFO -  9  libxul.so!mozilla::ServoDeclarationBlock::RemoveProperty [ServoDeclarationBlock.cpp:f1326092c823 : 51 + 0xd]
[task 2017-03-08T12:20:38.038707Z] 12:20:38     INFO -     rbx = 0x00007ffda101bb80   rbp = 0x00007ffda101bbf0
[task 2017-03-08T12:20:38.039009Z] 12:20:38     INFO -     rsp = 0x00007ffda101bb70   r12 = 0x00007fd9822bae20
[task 2017-03-08T12:20:38.039304Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007ffda101bca8
[task 2017-03-08T12:20:38.039608Z] 12:20:38     INFO -     r15 = 0x00007fd9822bae20   rip = 0x00007fd9b12a0948
[task 2017-03-08T12:20:38.039894Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.040205Z] 12:20:38     INFO - 10  libxul.so!nsDOMCSSDeclaration::RemovePropertyInternal [DeclarationBlockInlines.h:f1326092c823 : 103 + 0x12]
[task 2017-03-08T12:20:38.040505Z] 12:20:38     INFO -     rbx = 0x00007fd99e576dc0   rbp = 0x00007ffda101bc60
[task 2017-03-08T12:20:38.040793Z] 12:20:38     INFO -     rsp = 0x00007ffda101bc00   r12 = 0x00007ffda101bc18
[task 2017-03-08T12:20:38.041093Z] 12:20:38     INFO -     r13 = 0x00007ffda101bc20   r14 = 0x00007ffda101bca8
[task 2017-03-08T12:20:38.041408Z] 12:20:38     INFO -     r15 = 0x00007fd9822bae20   rip = 0x00007fd9b13383c1
[task 2017-03-08T12:20:38.041696Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.042018Z] 12:20:38     INFO - 11  libxul.so!mozilla::dom::CSSStyleDeclarationBinding::removeProperty [nsICSSDeclaration.h:f1326092c823 : 144 + 0x13]
[task 2017-03-08T12:20:38.042320Z] 12:20:38     INFO -     rbx = 0x00007fd9a9ac6000   rbp = 0x00007ffda101be20
[task 2017-03-08T12:20:38.042620Z] 12:20:38     INFO -     rsp = 0x00007ffda101bc70   r12 = 0x00007ffda101bc88
[task 2017-03-08T12:20:38.042923Z] 12:20:38     INFO -     r13 = 0x00007ffda101bd38   r14 = 0x00007ffda101be60
[task 2017-03-08T12:20:38.043209Z] 12:20:38     INFO -     r15 = 0x00007fd99e576dc0   rip = 0x00007fd9b067cb7c
[task 2017-03-08T12:20:38.043498Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.043800Z] 12:20:38     INFO - 12  libxul.so!mozilla::dom::GenericBindingMethod [BindingUtils.cpp:f1326092c823 : 2953 + 0x6]
[task 2017-03-08T12:20:38.044097Z] 12:20:38     INFO -     rbx = 0xfffe7fd980d94201   rbp = 0x00007ffda101bed0
[task 2017-03-08T12:20:38.044391Z] 12:20:38     INFO -     rsp = 0x00007ffda101be30   r12 = 0x00007fd9b4b25b60
[task 2017-03-08T12:20:38.044681Z] 12:20:38     INFO -     r13 = 0x000000000000003d   r14 = 0x00007ffda101be88
[task 2017-03-08T12:20:38.044981Z] 12:20:38     INFO -     r15 = 0x00007ffda101be70   rip = 0x00007fd9b098524a
[task 2017-03-08T12:20:38.045288Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.045579Z] 12:20:38     INFO - 13  0x251dcd9170ff
[task 2017-03-08T12:20:38.045879Z] 12:20:38     INFO -     rbx = 0xfffe7fd980d94200   rbp = 0x00007ffda101bf38
[task 2017-03-08T12:20:38.046171Z] 12:20:38     INFO -     rsp = 0x00007ffda101bee0   r12 = 0x0000000000000008
[task 2017-03-08T12:20:38.046462Z] 12:20:38     INFO -     r13 = 0x00007ffda101c3f0   r14 = 0x00007fd980d94200
[task 2017-03-08T12:20:38.046757Z] 12:20:38     INFO -     r15 = 0x00007ffda101c370   rip = 0x0000251dcd9170ff
[task 2017-03-08T12:20:38.047052Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.047335Z] 12:20:38     INFO - 14  0x7fd9877b3e10
[task 2017-03-08T12:20:38.047626Z] 12:20:38     INFO -     rbp = 0x00007ffda101bfb8   rsp = 0x00007ffda101bf48
[task 2017-03-08T12:20:38.047904Z] 12:20:38     INFO -     rip = 0x00007fd9877b3e10
[task 2017-03-08T12:20:38.048192Z] 12:20:38     INFO -     Found by: previous frame's frame pointer
[task 2017-03-08T12:20:38.048489Z] 12:20:38     INFO - 15  0x251dcd1dce3b
[task 2017-03-08T12:20:38.048788Z] 12:20:38     INFO -     rbp = 0x00007ffda101c020   rsp = 0x00007ffda101bfc8
[task 2017-03-08T12:20:38.049077Z] 12:20:38     INFO -     rip = 0x0000251dcd1dce3b
[task 2017-03-08T12:20:38.049391Z] 12:20:38     INFO -     Found by: previous frame's frame pointer
[task 2017-03-08T12:20:38.049689Z] 12:20:38     INFO - 16  libxul.so!EnterBaseline [BaselineJIT.cpp:f1326092c823 : 162 + 0xd]
[task 2017-03-08T12:20:38.049991Z] 12:20:38     INFO -     rbp = 0x00007ffda101c340   rsp = 0x00007ffda101c030
[task 2017-03-08T12:20:38.050284Z] 12:20:38     INFO -     rip = 0x00007fd9b215c098
[task 2017-03-08T12:20:38.050570Z] 12:20:38     INFO -     Found by: previous frame's frame pointer
[task 2017-03-08T12:20:38.050869Z] 12:20:38     INFO - 17  libxul.so!js::jit::EnterBaselineAtBranch [BaselineJIT.cpp:f1326092c823 : 268 + 0xf]
[task 2017-03-08T12:20:38.051167Z] 12:20:38     INFO -     rbx = 0x00007fd9a3e51028   rbp = 0x00007ffda101c510
[task 2017-03-08T12:20:38.051462Z] 12:20:38     INFO -     rsp = 0x00007ffda101c350   r12 = 0x00007fd9a9ac6000
[task 2017-03-08T12:20:38.051767Z] 12:20:38     INFO -     r13 = 0x00007ffda101c450   r14 = 0x00007ffda101c3e0
[task 2017-03-08T12:20:38.052060Z] 12:20:38     INFO -     r15 = 0x00007fd9a5a30c80   rip = 0x00007fd9b2189c14
[task 2017-03-08T12:20:38.052350Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.052643Z] 12:20:38     INFO - 18  libxul.so!Interpret [Interpreter.cpp:f1326092c823 : 1921 + 0x14]
[task 2017-03-08T12:20:38.052932Z] 12:20:38     INFO -     rbx = 0x00007ffda101c920   rbp = 0x00007ffda101ca40
[task 2017-03-08T12:20:38.053249Z] 12:20:38     INFO -     rsp = 0x00007ffda101c520   r12 = 0x00007ffda101c8e0
[task 2017-03-08T12:20:38.053548Z] 12:20:38     INFO -     r13 = 0x00007ffda101c970   r14 = 0x0000000000000000
[task 2017-03-08T12:20:38.053843Z] 12:20:38     INFO -     r15 = 0x00007ffda101cba0   rip = 0x00007fd9b20ba55b
[task 2017-03-08T12:20:38.054133Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.054433Z] 12:20:38     INFO - 19  libxul.so!js::RunScript [Interpreter.cpp:f1326092c823 : 394 + 0xb]
[task 2017-03-08T12:20:38.054741Z] 12:20:38     INFO -     rbx = 0x00007fd9a9ac6000   rbp = 0x00007ffda101cb10
[task 2017-03-08T12:20:38.055037Z] 12:20:38     INFO -     rsp = 0x00007ffda101ca50   r12 = 0x00007ffda101ca80
[task 2017-03-08T12:20:38.055338Z] 12:20:38     INFO -     r13 = 0x00007ffda101cba0   r14 = 0x00007ffda101ca70
[task 2017-03-08T12:20:38.055624Z] 12:20:38     INFO -     r15 = 0x00007ffda101ca60   rip = 0x00007fd9b20ba87b
[task 2017-03-08T12:20:38.055919Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.056215Z] 12:20:38     INFO - 20  libxul.so!js::ExecuteKernel [Interpreter.cpp:f1326092c823 : 677 + 0x5]
[task 2017-03-08T12:20:38.056515Z] 12:20:38     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffda101cc40
[task 2017-03-08T12:20:38.056807Z] 12:20:38     INFO -     rsp = 0x00007ffda101cb20   r12 = 0x00007ffda101cbb0
[task 2017-03-08T12:20:38.057104Z] 12:20:38     INFO -     r13 = 0x00007ffda101cbc8   r14 = 0x00007ffda101cbe0
[task 2017-03-08T12:20:38.057440Z] 12:20:38     INFO -     r15 = 0x00007fd9b4d35760   rip = 0x00007fd9b20bc7a1
[task 2017-03-08T12:20:38.057720Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.058021Z] 12:20:38     INFO - 21  libxul.so!js::Execute [Interpreter.cpp:f1326092c823 : 710 + 0x28]
[task 2017-03-08T12:20:38.058314Z] 12:20:38     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffda101ccc0
[task 2017-03-08T12:20:38.058619Z] 12:20:38     INFO -     rsp = 0x00007ffda101cc50   r12 = 0x00007fd9a9ac6000
[task 2017-03-08T12:20:38.058913Z] 12:20:38     INFO -     r13 = 0x00007ffda101cc70   r14 = 0x00007ffda101cd10
[task 2017-03-08T12:20:38.059205Z] 12:20:38     INFO -     r15 = 0x00007fd987986000   rip = 0x00007fd9b20bcb10
[task 2017-03-08T12:20:38.059491Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.059788Z] 12:20:38     INFO - 22  libxul.so!Evaluate [jsapi.cpp:f1326092c823 : 4596 + 0x8]
[task 2017-03-08T12:20:38.060090Z] 12:20:38     INFO -     rbx = 0x00007ffda101cd60   rbp = 0x00007ffda101ce40
[task 2017-03-08T12:20:38.060387Z] 12:20:38     INFO -     rsp = 0x00007ffda101ccd0   r12 = 0x00007ffda101cd20
[task 2017-03-08T12:20:38.060681Z] 12:20:38     INFO -     r13 = 0x00007ffda101ce70   r14 = 0x00007ffda101cd00
[task 2017-03-08T12:20:38.060979Z] 12:20:38     INFO -     r15 = 0x00007fd9a9ac6000   rip = 0x00007fd9b2488da0
[task 2017-03-08T12:20:38.061282Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.061582Z] 12:20:38     INFO - 23  libxul.so!Evaluate [jsapi.cpp:f1326092c823 : 4622 + 0x1c]
[task 2017-03-08T12:20:38.061879Z] 12:20:38     INFO -     rbx = 0x00007fd9a9ac6000   rbp = 0x00007ffda101ced0
[task 2017-03-08T12:20:38.062169Z] 12:20:38     INFO -     rsp = 0x00007ffda101ce50   r12 = 0x00007ffda101ce80
[task 2017-03-08T12:20:38.062468Z] 12:20:38     INFO -     r13 = 0x00007ffda101ce60   r14 = 0x00007ffda101ce70
[task 2017-03-08T12:20:38.062777Z] 12:20:38     INFO -     r15 = 0x00007ffda101d1f0   rip = 0x00007fd9b248e434
[task 2017-03-08T12:20:38.063069Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.063375Z] 12:20:38     INFO - 24  libxul.so!nsJSUtils::EvaluateString [nsJSUtils.cpp:f1326092c823 : 207 + 0x1c]
[task 2017-03-08T12:20:38.063663Z] 12:20:38     INFO -     rbx = 0x00007fd9a9ac6000   rbp = 0x00007ffda101d010
[task 2017-03-08T12:20:38.063948Z] 12:20:38     INFO -     rsp = 0x00007ffda101cee0   r12 = 0x00007ffda101d068
[task 2017-03-08T12:20:38.064251Z] 12:20:38     INFO -     r13 = 0x00007ffda101d2a8   r14 = 0x00007ffda101d070
[task 2017-03-08T12:20:38.064543Z] 12:20:38     INFO -     r15 = 0x0000000000000000   rip = 0x00007fd9b036aa26
[task 2017-03-08T12:20:38.064826Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.065131Z] 12:20:38     INFO - 25  libxul.so!nsJSUtils::EvaluateString [nsJSUtils.cpp:f1326092c823 : 275 + 0xb]
[task 2017-03-08T12:20:38.065454Z] 12:20:38     INFO -     rbx = 0x00007fd9a9ac6000   rbp = 0x00007ffda101d130
[task 2017-03-08T12:20:38.065751Z] 12:20:38     INFO -     rsp = 0x00007ffda101d020   r12 = 0x00007ffda101d058
[task 2017-03-08T12:20:38.066048Z] 12:20:38     INFO -     r13 = 0x00007ffda101d078   r14 = 0x00007ffda101d1f0
[task 2017-03-08T12:20:38.066344Z] 12:20:38     INFO -     r15 = 0x00007ffda101d070   rip = 0x00007fd9b036ad7d
[task 2017-03-08T12:20:38.066632Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.066945Z] 12:20:38     INFO - 26  libxul.so!nsScriptLoader::EvaluateScript [nsScriptLoader.cpp:f1326092c823 : 2247 + 0x1d]
[task 2017-03-08T12:20:38.067240Z] 12:20:38     INFO -     rbx = 0x00007ffda101d350   rbp = 0x00007ffda101d430
[task 2017-03-08T12:20:38.067533Z] 12:20:38     INFO -     rsp = 0x00007ffda101d140   r12 = 0x00007ffda101d2a8
[task 2017-03-08T12:20:38.067826Z] 12:20:38     INFO -     r13 = 0x00007ffda101d1f0   r14 = 0x00007ffda101d1e8
[task 2017-03-08T12:20:38.068124Z] 12:20:38     INFO -     r15 = 0x00007fd98c158b80   rip = 0x00007fd9b037f6f2
[task 2017-03-08T12:20:38.068412Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.068737Z] 12:20:38     INFO - 27  libxul.so!nsScriptLoader::ProcessRequest [nsScriptLoader.cpp:f1326092c823 : 2030 + 0xb]
[task 2017-03-08T12:20:38.069036Z] 12:20:38     INFO -     rbx = 0x00007fd99e0dd5c0   rbp = 0x00007ffda101d4e0
[task 2017-03-08T12:20:38.069362Z] 12:20:38     INFO -     rsp = 0x00007ffda101d440   r12 = 0x00007fd98c158b80
[task 2017-03-08T12:20:38.069652Z] 12:20:38     INFO -     r13 = 0x00007ffda101d498   r14 = 0x00007ffda101d470
[task 2017-03-08T12:20:38.069943Z] 12:20:38     INFO -     r15 = 0x0000000000000001   rip = 0x00007fd9b037fa95
[task 2017-03-08T12:20:38.070236Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.070548Z] 12:20:38     INFO - 28  libxul.so!nsScriptLoader::ProcessPendingRequests [nsScriptLoader.cpp:f1326092c823 : 2285 + 0xc]
[task 2017-03-08T12:20:38.070846Z] 12:20:38     INFO -     rbx = 0x00007fd98c158b80   rbp = 0x00007ffda101d520
[task 2017-03-08T12:20:38.071138Z] 12:20:38     INFO -     rsp = 0x00007ffda101d4f0   r12 = 0x00007ffda101d580
[task 2017-03-08T12:20:38.071438Z] 12:20:38     INFO -     r13 = 0x00007ffda101d5b8   r14 = 0x00007ffda101d560
[task 2017-03-08T12:20:38.071733Z] 12:20:38     INFO -     r15 = 0x00007ffda101d62f   rip = 0x00007fd9b038f09a
[task 2017-03-08T12:20:38.072017Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.072353Z] 12:20:38     INFO - 29  libxul.so!mozilla::detail::RunnableMethodImpl<nsScriptLoader*, void (nsScriptLoader::*)(), true, false>::Run [nsThreadUtils.h:f1326092c823 : 855 + 0x18]
[task 2017-03-08T12:20:38.072664Z] 12:20:38     INFO -     rbx = 0x00007fd9ac406300   rbp = 0x00007ffda101d530
[task 2017-03-08T12:20:38.072957Z] 12:20:38     INFO -     rsp = 0x00007ffda101d530   r12 = 0x00007ffda101d580
[task 2017-03-08T12:20:38.073276Z] 12:20:38     INFO -     r13 = 0x00007ffda101d5b8   r14 = 0x00007ffda101d560
[task 2017-03-08T12:20:38.073570Z] 12:20:38     INFO -     r15 = 0x00007ffda101d62f   rip = 0x00007fd9b036eb47
[task 2017-03-08T12:20:38.073862Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.074164Z] 12:20:38     INFO - 30  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:f1326092c823 : 1264 + 0x6]
[task 2017-03-08T12:20:38.074461Z] 12:20:38     INFO -     rbx = 0x00007fd9ac406300   rbp = 0x00007ffda101d610
[task 2017-03-08T12:20:38.074760Z] 12:20:38     INFO -     rsp = 0x00007ffda101d540   r12 = 0x00007ffda101d580
[task 2017-03-08T12:20:38.075050Z] 12:20:38     INFO -     r13 = 0x00007ffda101d5b8   r14 = 0x00007ffda101d560
[task 2017-03-08T12:20:38.075345Z] 12:20:38     INFO -     r15 = 0x00007ffda101d62f   rip = 0x00007fd9af7f18d3
[task 2017-03-08T12:20:38.075632Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.075945Z] 12:20:38     INFO - 31  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:f1326092c823 : 389 + 0x11]
[task 2017-03-08T12:20:38.076240Z] 12:20:38     INFO -     rbx = 0x00007fd9ac406300   rbp = 0x00007ffda101d640
[task 2017-03-08T12:20:38.076554Z] 12:20:38     INFO -     rsp = 0x00007ffda101d620   r12 = 0x0000000000000000
[task 2017-03-08T12:20:38.076849Z] 12:20:38     INFO -     r13 = 0x00007fd9ac4f3430   r14 = 0x00007fd9ac406300
[task 2017-03-08T12:20:38.077146Z] 12:20:38     INFO -     r15 = 0x00007ffda101d901   rip = 0x00007fd9af7f3a1c
[task 2017-03-08T12:20:38.077458Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.077754Z] 12:20:38     INFO - 32  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:f1326092c823 : 96 + 0xa]
[task 2017-03-08T12:20:38.078057Z] 12:20:38     INFO -     rbx = 0x00007fd9ac4f3400   rbp = 0x00007ffda101d6b0
[task 2017-03-08T12:20:38.078366Z] 12:20:38     INFO -     rsp = 0x00007ffda101d650   r12 = 0x00007fd9bc2fa880
[task 2017-03-08T12:20:38.078665Z] 12:20:38     INFO -     r13 = 0x00007fd9ac4f3430   r14 = 0x00007fd9ac406300
[task 2017-03-08T12:20:38.078964Z] 12:20:38     INFO -     r15 = 0x00007ffda101d901   rip = 0x00007fd9afb7e4df
[task 2017-03-08T12:20:38.079263Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.079560Z] 12:20:38     INFO - 33  libxul.so!MessageLoop::RunInternal [message_loop.cc:f1326092c823 : 238 + 0x17]
[task 2017-03-08T12:20:38.079859Z] 12:20:38     INFO -     rbx = 0x00007fd9bc2fa880   rbp = 0x00007ffda101d6f0
[task 2017-03-08T12:20:38.080158Z] 12:20:38     INFO -     rsp = 0x00007ffda101d6c0   r12 = 0x00007fd9ac406300
[task 2017-03-08T12:20:38.080455Z] 12:20:38     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffda101d7e0
[task 2017-03-08T12:20:38.080753Z] 12:20:38     INFO -     r15 = 0x00007ffda101d9c8   rip = 0x00007fd9afb5d61d
[task 2017-03-08T12:20:38.081046Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.081367Z] 12:20:38     INFO - 34  libxul.so!MessageLoop::Run [message_loop.cc:f1326092c823 : 231 + 0x8]
[task 2017-03-08T12:20:38.081663Z] 12:20:38     INFO -     rbx = 0x00007fd9bc2fa880   rbp = 0x00007ffda101d730
[task 2017-03-08T12:20:38.081954Z] 12:20:38     INFO -     rsp = 0x00007ffda101d700   r12 = 0x00007fd9ac406300
[task 2017-03-08T12:20:38.082255Z] 12:20:38     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffda101d7e0
[task 2017-03-08T12:20:38.082552Z] 12:20:38     INFO -     r15 = 0x00007ffda101d9c8   rip = 0x00007fd9afb5d644
[task 2017-03-08T12:20:38.082846Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.083152Z] 12:20:38     INFO - 35  libxul.so!nsBaseAppShell::Run [nsBaseAppShell.cpp:f1326092c823 : 156 + 0xd]
[task 2017-03-08T12:20:38.083457Z] 12:20:38     INFO -     rbx = 0x00007fd9a3e4a740   rbp = 0x00007ffda101d750
[task 2017-03-08T12:20:38.083751Z] 12:20:38     INFO -     rsp = 0x00007ffda101d740   r12 = 0x00007fd9ac406300
[task 2017-03-08T12:20:38.084046Z] 12:20:38     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffda101d7e0
[task 2017-03-08T12:20:38.084341Z] 12:20:38     INFO -     r15 = 0x00007ffda101d9c8   rip = 0x00007fd9b11852d7
[task 2017-03-08T12:20:38.084628Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.084949Z] 12:20:38     INFO - 36  libxul.so!nsAppStartup::Run [nsAppStartup.cpp:f1326092c823 : 283 + 0x6]
[task 2017-03-08T12:20:38.085261Z] 12:20:38     INFO -     rbx = 0x00007fd9a592bbf0   rbp = 0x00007ffda101d770
[task 2017-03-08T12:20:38.085562Z] 12:20:38     INFO -     rsp = 0x00007ffda101d760   r12 = 0x00007ffda101d818
[task 2017-03-08T12:20:38.085860Z] 12:20:38     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffda101d7e0
[task 2017-03-08T12:20:38.086160Z] 12:20:38     INFO -     r15 = 0x00007ffda101d9c8   rip = 0x00007fd9b1ed27ef
[task 2017-03-08T12:20:38.086450Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.086746Z] 12:20:38     INFO - 37  libxul.so!XREMain::XRE_mainRun [nsAppRunner.cpp:f1326092c823 : 4476 + 0x11]
[task 2017-03-08T12:20:38.087048Z] 12:20:38     INFO -     rbx = 0x00007ffda101d860   rbp = 0x00007ffda101d8f0
[task 2017-03-08T12:20:38.087344Z] 12:20:38     INFO -     rsp = 0x00007ffda101d780   r12 = 0x00007ffda101d818
[task 2017-03-08T12:20:38.087646Z] 12:20:38     INFO -     r13 = 0x0000000000000077   r14 = 0x00007ffda101d7e0
[task 2017-03-08T12:20:38.087934Z] 12:20:38     INFO -     r15 = 0x00007ffda101d9c8   rip = 0x00007fd9b1f4ef91
[task 2017-03-08T12:20:38.088221Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.088522Z] 12:20:38     INFO - 38  libxul.so!XREMain::XRE_main [nsAppRunner.cpp:f1326092c823 : 4654 + 0x5]
[task 2017-03-08T12:20:38.088815Z] 12:20:38     INFO -     rbx = 0x00007ffda101d9c8   rbp = 0x00007ffda101d9a0
[task 2017-03-08T12:20:38.089122Z] 12:20:38     INFO -     rsp = 0x00007ffda101d900   r12 = 0x0000000000000000
[task 2017-03-08T12:20:38.089432Z] 12:20:38     INFO -     r13 = 0x00007ffda101da38   r14 = 0x0000000000000001
[task 2017-03-08T12:20:38.089732Z] 12:20:38     INFO -     r15 = 0x00007fd9bc2746c0   rip = 0x00007fd9b1f4f7c0
[task 2017-03-08T12:20:38.090023Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.090331Z] 12:20:38     INFO - 39  libxul.so!XRE_main [nsAppRunner.cpp:f1326092c823 : 4745 + 0x5]
[task 2017-03-08T12:20:38.090631Z] 12:20:38     INFO -     rbx = 0x00007ffda101d9c8   rbp = 0x00007ffda101db90
[task 2017-03-08T12:20:38.090918Z] 12:20:38     INFO -     rsp = 0x00007ffda101d9b0   r12 = 0x0000000000000005
[task 2017-03-08T12:20:38.091211Z] 12:20:38     INFO -     r13 = 0x00007ffda101ecd8   r14 = 0x00007ffda101dba0
[task 2017-03-08T12:20:38.091510Z] 12:20:38     INFO -     r15 = 0x0000000000000000   rip = 0x00007fd9b1f4fa4c
[task 2017-03-08T12:20:38.091801Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.092100Z] 12:20:38     INFO - 40  firefox!do_main [nsBrowserApp.cpp:f1326092c823 : 236 + 0x22]
[task 2017-03-08T12:20:38.092398Z] 12:20:38     INFO -     rbx = 0x0000000000000005   rbp = 0x00007ffda101ebc0
[task 2017-03-08T12:20:38.092683Z] 12:20:38     INFO -     rsp = 0x00007ffda101dba0   r12 = 0x00007ffda101ecd8
[task 2017-03-08T12:20:38.092983Z] 12:20:38     INFO -     r13 = 0x0000000000000000   r14 = 0x00007ffda101ed08
[task 2017-03-08T12:20:38.093303Z] 12:20:38     INFO -     r15 = 0x0000000000000000   rip = 0x0000000000406396
[task 2017-03-08T12:20:38.093599Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.093894Z] 12:20:38     INFO - 41  firefox!main [nsBrowserApp.cpp:f1326092c823 : 307 + 0xe]
[task 2017-03-08T12:20:38.094192Z] 12:20:38     INFO -     rbx = 0x00007ffda101ecd8   rbp = 0x00007ffda101ebf0
[task 2017-03-08T12:20:38.094509Z] 12:20:38     INFO -     rsp = 0x00007ffda101ebd0   r12 = 0x0000000000000005
[task 2017-03-08T12:20:38.094817Z] 12:20:38     INFO -     r13 = 0x00007ffda101ed08   r14 = 0x0000033abce9594f
[task 2017-03-08T12:20:38.095109Z] 12:20:38     INFO -     r15 = 0x0000000000000000   rip = 0x0000000000405b5e
[task 2017-03-08T12:20:38.095399Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.095677Z] 12:20:38     INFO - 42  libc-2.15.so + 0x217ed
[task 2017-03-08T12:20:38.095976Z] 12:20:38     INFO -     rbx = 0x0000000000000000   rbp = 0x0000000000000000
[task 2017-03-08T12:20:38.096264Z] 12:20:38     INFO -     rsp = 0x00007ffda101ec00   r12 = 0x0000000000405d88
[task 2017-03-08T12:20:38.096562Z] 12:20:38     INFO -     r13 = 0x00007ffda101ecd0   r14 = 0x0000000000000000
[task 2017-03-08T12:20:38.096878Z] 12:20:38     INFO -     r15 = 0x0000000000000000   rip = 0x00007fd9bc4eb7ed
[task 2017-03-08T12:20:38.097187Z] 12:20:38     INFO -     Found by: call frame info
[task 2017-03-08T12:20:38.097530Z] 12:20:38     INFO - 43  firefox!MOZ_ReportAssertionFailure [Assertions.h:f1326092c823 : 164 + 0x5]
[task 2017-03-08T12:20:38.097841Z] 12:20:38     INFO -     rsp = 0x00007ffda101ec20   rip = 0x0000000000405ad3
[task 2017-03-08T12:20:38.098152Z] 12:20:38     INFO -     Found by: stack scanning
(Assignee)

Updated

a year ago
Assignee: nobody → simon.sapin
(Assignee)

Comment 1

a year ago
I didn’t manage to reproduce the crash in Gecko with "xvfb-run mach test layout/style/test/test_ch_ex_no_infloops.html", but Emilio pointed out a debug_assert!() in remove_property. I submitted https://github.com/servo/servo/pull/15872 with a test case that made that assert fail, and a fix.
Duplicate of this bug: 1345595

Comment 3

a year ago
25 failures in 169 pushes (0.148 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 25

Platform breakdown:
* linux64-stylo: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345483&startday=2017-03-08&endday=2017-03-08&tree=all

Comment 4

11 months ago
28 failures in 790 pushes (0.035 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 25
* mozilla-inbound: 3

Platform breakdown:
* linux64-stylo: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345483&startday=2017-03-06&endday=2017-03-12&tree=all
(Assignee)

Comment 5

11 months ago
Fixed in https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=2e536a204cec3d485c8861a4bcca96324e3b7ae1
Status: NEW → RESOLVED
Last Resolved: 11 months ago
Resolution: --- → FIXED
status-firefox52: --- → unaffected
status-firefox53: --- → unaffected
status-firefox54: --- → unaffected
status-firefox55: --- → fixed
status-firefox-esr52: --- → unaffected
You need to log in before you can comment on or make changes to this bug.